Bug 1812203 (CVE-2019-20503) - CVE-2019-20503 usrsctp: Out of bounds reads in sctp_load_addresses_from_init()
Summary: CVE-2019-20503 usrsctp: Out of bounds reads in sctp_load_addresses_from_init()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-20503
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1809421 1809422 1809423 1809424 1809425 1809426 1813109 1813110 1813111 1813112 1813113 1813114 1815252
Blocks: 1809419
TreeView+ depends on / blocked
 
Reported: 2020-03-10 18:43 UTC by msiddiqu
Modified: 2020-04-01 09:55 UTC (History)
6 users (show)

Fixed In Version: firefox 68.6, thunderbird 68.6, chromium-browser 80.0.3987.149
Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: The inputs to `sctp_load_addresses_from_init` are verified by `sctp_arethere_unrecognized_parameters`; however, the two functions handled parameter bounds differently, resulting in out of bounds reads when parameters are partially outside a chunk.
Clone Of:
Environment:
Last Closed: 2020-03-16 10:32:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0815 None None None 2020-03-16 09:16:19 UTC
Red Hat Product Errata RHSA-2020:0816 None None None 2020-03-16 09:46:49 UTC
Red Hat Product Errata RHSA-2020:0819 None None None 2020-03-16 10:45:40 UTC
Red Hat Product Errata RHSA-2020:0820 None None None 2020-03-16 13:38:34 UTC
Red Hat Product Errata RHSA-2020:0905 None None None 2020-03-19 11:49:30 UTC
Red Hat Product Errata RHSA-2020:0914 None None None 2020-03-23 08:48:48 UTC
Red Hat Product Errata RHSA-2020:0918 None None None 2020-03-23 08:30:55 UTC
Red Hat Product Errata RHSA-2020:0919 None None None 2020-03-23 08:39:21 UTC
Red Hat Product Errata RHSA-2020:1270 None None None 2020-04-01 09:55:48 UTC

Description msiddiqu 2020-03-10 18:43:27 UTC
The inputs to `sctp_load_addresses_from_init` are verified by `sctp_arethere_unrecognized_parameters`; however, the two functions handled parameter bounds differently, resulting in out of bounds reads when parameters are partially outside a chunk.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-09/#CVE-2019-20503

Comment 1 msiddiqu 2020-03-10 18:43:31 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Natalie Silvanovich (Google Project Zero)

Comment 2 errata-xmlrpc 2020-03-16 09:16:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0815 https://access.redhat.com/errata/RHSA-2020:0815

Comment 3 errata-xmlrpc 2020-03-16 09:46:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0816 https://access.redhat.com/errata/RHSA-2020:0816

Comment 4 Product Security DevOps Team 2020-03-16 10:32:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-20503

Comment 5 errata-xmlrpc 2020-03-16 10:45:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0819 https://access.redhat.com/errata/RHSA-2020:0819

Comment 6 errata-xmlrpc 2020-03-16 13:38:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0820 https://access.redhat.com/errata/RHSA-2020:0820

Comment 7 errata-xmlrpc 2020-03-19 11:49:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0905 https://access.redhat.com/errata/RHSA-2020:0905

Comment 8 errata-xmlrpc 2020-03-23 08:30:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0918 https://access.redhat.com/errata/RHSA-2020:0918

Comment 9 errata-xmlrpc 2020-03-23 08:39:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0919 https://access.redhat.com/errata/RHSA-2020:0919

Comment 10 errata-xmlrpc 2020-03-23 08:48:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0914 https://access.redhat.com/errata/RHSA-2020:0914

Comment 12 errata-xmlrpc 2020-04-01 09:55:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:1270 https://access.redhat.com/errata/RHSA-2020:1270


Note You need to log in before you can comment on or make changes to this bug.